## wxStaticBitmap

A static bitmap control displays a bitmap.

Derived from

wxControl
wxWindow
wxEvtHandler
wxObject

Include files

<wx/statbmp.h>

Window styles

There are no special styles for this control.

See also window styles overview.

See also

wxStaticBitmap, wxStaticBox

Remarks

The bitmap to be displayed should have a small number of colours, such as 16, to avoid palette problems.

Members

wxStaticBitmap::wxStaticBitmap
wxStaticBitmap::Create
wxStaticBitmap::GetBitmap
wxStaticBitmap::SetBitmap

### wxStaticBitmap::wxStaticBitmap

wxStaticBitmap()

Default constructor.

wxStaticBitmap(wxWindow* parent, wxWindowID id, const wxBitmap& label, const wxPoint& pos, const wxSize& size = wxDefaultSize, long style = 0, const wxString& name = "staticBitmap")

Constructor, creating and showing a text control.

Parameters

parent

Parent window. Should not be NULL.

id

Control identifier. A value of -1 denotes a default value.

label

Bitmap label.

pos

Window position.

size

Window size.

style

Window style. See wxStaticBitmap.

name

Window name.

See also

wxStaticBitmap::Create

### wxStaticBitmap::Create

bool Create(wxWindow* parent, wxWindowID id, const wxBitmap& label, const wxPoint& pos, const wxSize& size = wxDefaultSize, long style = 0, const wxString& name = "staticBitmap")

Creation function, for two-step construction. For details see wxStaticBitmap::wxStaticBitmap.

### wxStaticBitmap::GetBitmap

wxBitmap& GetBitmap() const

Returns a reference to the label bitmap.

See also

wxStaticBitmap::SetBitmap

### wxStaticBitmap::SetBitmap

virtual void SetBitmap(const wxBitmap& label)

Sets the bitmap label.

Parameters

label

The new bitmap.

See also

wxStaticBitmap::GetBitmap